import { v4 as uuidv4 } from "uuid";

export const FormClienteOFaenadeTabajo = [
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Nombre del servicio",
    defaultValue: null,
    helperText: "ej.: SAPCI.., SAPCI.., MLCCH..",
    autoFocus: false,
    required: true,
    type: "text",
    name: "ServiceName",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Rut",
    defaultValue: null,
    helperText: "ej.:19.171.120-6",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Rut",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Contacto",
    defaultValue: null,
    helperText: "ej.: Administrador contrato – cliente",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Contacto",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Teléfono",
    defaultValue: null,
    helperText: "ej.: 9 87030831",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Teléfono",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Mail",
    defaultValue: null,
    helperText: "ej.: ejemplo@mail.com",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Mail",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Dirección",
    defaultValue: null,
    helperText: "ej.: turquia 76 - Lo Prado",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Direccion",
  },
];


export const FormSucursalesAreaDeTrabajo = [
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Nombre de gerencias o subáreas de trabajo",
    defaultValue: null,
    helperText: "ej.: GMIN, GPLA",
    autoFocus: false,
    required: true,
    type: "text",
    name: "ServiceName",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Descripción",
    defaultValue: null,
    helperText: "",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Descripcion",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Contacto",
    defaultValue: null,
    helperText: "ej.: Administrador contrato – cliente",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Contacto",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Teléfono",
    defaultValue: null,
    helperText: "ej.: 9 87030831",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Telefono",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Mail",
    defaultValue: null,
    helperText: "ej.: ejemplo@mail.com",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Mail",
  },
  {
    id: uuidv4(),
    key: uuidv4(),
    label: "Referencia",
    defaultValue: null,
    helperText: "",
    autoFocus: false,
    required: true,
    type: "text",
    name: "Referencia",
  },
]